/*
 * @(#) $Id$
 *
 * Copyright (c) 1998 Third Eye Consulting, Inc.  All rights reserved.
 *
 */

import java.io.Serializable;
import java.util.Date;
 
public class Book extends Object implements Serializable {

  public static final int CHECKED_IN = 1;

  public static final int CHECKED_OUT = 2;

  public static final int OVERDUE = 3;

  private String title;

  private String author;

  private String publisher;

  private Date date;

  private int status = CHECKED_IN;

  public Book(String title, String author, String publisher, Date date) {
    this.title = title;
    this.author = author;
    this.publisher = publisher;
    this.date = date;
  }

  public String getTitle() {
    return title;
  }

  public void setTitle(String title) {
    this.title = title;
  }
  
  public String getAuthor() {
    return author;
  }

  public void setAuthor(String author) {
    this.author = author;
  }

  public String getPublisher() {
    return publisher;
  }

  public void setPublisher(String publisher) {
    this.publisher = publisher;
  }

  public Date getDate() {
    return date;
  }

  public void setDate(Date date) {
    this.date = date;
  }

  public int getStatus() {
    return status;
  }

  public void setStatus(int status) {
    this.status = status;
  }

  public String getStatusName() {
    String name = "";

    if (status == CHECKED_IN) {
      name = "Checked-in";
    }
    else if (status == CHECKED_OUT) {
      name = "Checked-out";
    }
    else if (status == OVERDUE) {
      name = "Overdue";
    }

    return name;
  }

  public String toString() {
    return title + ";" + author + ";" + publisher + ";" + date + ";" + status;
  }
}
